ubuntu/+source/gnupg2:debian/jessie

Last commit made on 2018-06-23
Get this branch:
git clone -b debian/jessie https://git.launchpad.net/ubuntu/+source/gnupg2
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/jessie
Repository:
lp:ubuntu/+source/gnupg2

Recent commits

778c00b... by Salvatore Bonaccorso on 2018-06-08

Import patches-unapplied version 2.0.26-6+deb8u2 to debian/jessie

Imported using git-ubuntu import.

Changelog parent: 636fe56de74107fb4cc0ff291a4cc6fe9b82f614

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * gpg: Sanitize diagnostic with the original file name (CVE-2018-12020)

636fe56... by Salvatore Bonaccorso on 2016-08-04

Import patches-unapplied version 2.0.26-6+deb8u1 to debian/jessie

Imported using git-ubuntu import.

Changelog parent: cc8ae5ae34d7cfd32828f2f3e89b0abfe4519f48

New changelog entries:
  * Non-maintainer with maintainers approval.
  * gpgv: Tweak default options for extra security
  * g10: Fix checking key for signature validation

cc8ae5a... by dkg on 2015-02-21

Import patches-unapplied version 2.0.26-6 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 910e6e62d45106fff7ba723ca8ec221e98edf99c

New changelog entries:
  * Avoid NULL dereference with opaque MPI.

910e6e6... by dkg on 2015-02-16

Import patches-unapplied version 2.0.26-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3fc20b63a5cdec88c0c283c8565d0b935e7bc9dd

New changelog entries:
  * import bug-fixes from upstream
    (Closes: #773415, #773469, #773471, #773472, #773423)
  * Fixes CVE-2015-1606 "Use after free, resulting from failure to skip
    invalid packets", CVE-2015-1607 "memcpy with overlapping ranges,
    resulting from incorrect bitwise left shifts" (Closes: #778577)

3fc20b6... by dkg on 2015-01-04

Import patches-unapplied version 2.0.26-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 60da477587a8ecadf0f0f45a9e1bb08b59a09433

New changelog entries:
  [ David Prévot ]
  * Update POT and PO files, and ensure the translations get rebuild
  * Update French translation (Closes: #769574)
  * Update Ukrainian translation, thanks to Yuri Chornoivan
  * Update German translation, thanks to Werner Koch
  * Update Danish translation, thanks to Joe Hansen
  * Update Japanese translation, thanks to NIIBE Yutaka
  * Update Chinese (traditional) translation, thanks to Jedi Lin
  * Update Russian translation, thanks to Ineiev
  * Update Polish translation, thanks to Jakub Bogusz
  * Update Spanish translation, thanks to Manuel "Venturi" Porras Peralta
    (Closes: #770727)
  * New Dutch translation, thanks to Frans Spiesschaert (Closes: #770981)
  [ Daniel Kahn Gillmor ]
  * bugfix and cryptographic safety changes imported from upstream:
   - Avoid regression when adding subkeys with strong s2k algorithms
     (Closes: #772780) Thanks, NIIBE Yutaka
   - Allow french translation to work when prompting for passphrase.
   - add build and runtime support for larger RSA keys (Closes: #739424)
   - fix runtime errors on bad input (Closes: #771987)
   - deprecate insecure one-argument variant for gpg --verify of detached
     signatures (Closes: #771992)
   - initialize trustdb before trying to clear it (Closes: #735363)
   - default to issuing SHA256 signatures for RSA
   - avoid relying on MD5 signatures
   - show v3 key fingerprints as all zero (OpenPGPv3 is deprecated)

60da477... by dkg on 2014-10-01

Import patches-unapplied version 2.0.26-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: eac0980b6fe03233a6d0b6fdc23a59aff9cd54b1

New changelog entries:
  * fix typo in gpg.info (closes: #760273)
  * drop versioned Build-Conflicts on automake by setting environment
    variables in debian/rules
  * ship /usr/bin/gpgparsemail (closes: #760575)
  * warn but don't fail when scdaemon options are in ~/.gnupg/gpg.conf
    (closes: #762844)
  * do not break on --trust-model=always (closes: #751266)
  * document that doc/OpenPGP is not actually an RFC, but just refers to
    one (closes: #745410)
  * Bump Standards-Version to 3.9.6 (no changes needed)

eac0980... by dkg on 2014-08-28

Import patches-unapplied version 2.0.26-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 017758120ebf311d628f11b85e671f4fbf5e72f9

New changelog entries:
  * ignore emacs turds in debian/
  * update Vcs fields
  * move package to group maintenance
  * wrap-and-sort cleanup of debian/*

0177581... by Eric Dorland on 2014-08-19

Import patches-unapplied version 2.0.26-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 62983ffa206a54250b4fd2fe65fde4c14c55fe21

New changelog entries:
  * New upstream release.
  * debian/control: Suggest parcimonie. Thanks ilf. (Closes: #752261)

62983ff... by Eric Dorland on 2014-08-08

Import patches-unapplied version 2.0.25-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e705851d2bf86b3d4a7e0aebba39a0711cdc0111

New changelog entries:
  * debian/control: Switch to libgcrypt20-dev (aka 1.6 release).

e705851... by Eric Dorland on 2014-06-30

Import patches-unapplied version 2.0.25-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4fb4074477515e87590c6528666cd3c0bdfd69d0

New changelog entries:
  * New upstream release.